import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import SongPlaylistSelect from './SongPlaylistSelect';
import { songPlaylistMocks } from '../../data/mockups';

<Meta title="Inputs/SongPlaylistSelect" component={SongPlaylistSelect} />

# SongPlaylistSelect
 
A combination of IconButton, Popover and Menu
    
<Preview>
  <Story key="1" name="default">
    <SongPlaylistSelect
        playlists={songPlaylistMocks.samples(3)}
    />
  </Story>
  <Story key="2" name="just playlists">
    <SongPlaylistSelect
        disableCreateNew
        playlists={songPlaylistMocks.samples(3)}
    />
  </Story>
</Preview>

<Preview>
  <Story key="1" name="no playlists">
    <SongPlaylistSelect />
  </Story>
  <Story key="2" name="empty">
    <SongPlaylistSelect disableCreateNew />
  </Story>
</Preview>

## Lifecycles

### Loading when creating new playlist

<Preview>
  <Story key="1" name="creating">
    <SongPlaylistSelect
        isCreatingNew
        playlists={songPlaylistMocks.samples(3)}
        createNewInputDefault={{
            title: 'Playlist 4',
        }}
    />
  </Story>
</Preview>

### Loading when fetching playlists

<Preview>
  <Story key="1" name="loading playlists">
    <SongPlaylistSelect
        loadingPlaylists
    />
  </Story>
</Preview>